﻿@model CarRental.Core.Models.Account

@{
    ViewData["Title"] = "Edit";
    Layout = "_LayoutAdmin";
}
<h1 class="mt-3 mb-3">Edit Account</h1>
<h4 class="justify-content-center mb-2 mt-2">Car Owner Detail: @Model.Email</h4>
<hr />
<form asp-action="EditStatus">
    <div class="row">

        <div class="col-md-4">

            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="FullName" class="control-label">Full Name</label>
                <input asp-for="FullName" class="form-control" disabled />
                <span asp-validation-for="FullName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DateOfBirth" class="control-label">Date Of Birth</label>
                <input asp-for="DateOfBirth" class="form-control" disabled />
                <span asp-validation-for="DateOfBirth" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NationalID" class="control-label">National ID No.</label>
                <input asp-for="NationalID" class="form-control" disabled />
                <span asp-validation-for="NationalID" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Email" class="control-label"></label>
                <input asp-for="Email" class="form-control" disabled />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="PhoneNumber" class="control-label">Phone Number</label>
                <input asp-for="PhoneNumber" class="form-control" disabled />
                <span asp-validation-for="PhoneNumber" class="text-danger"></span>
            </div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="IsActive" class="control-label d-block">
                    Active status:
                    @if (Model.IsActive)
                    {
                        <p class="text-success font-weight-bold d-inline">Activated</p>
                    }
                    else
                    {
                        <p class="text-danger  font-weight-bold d-inline">Disabled</p>
                    }
                </label>

            </div>

        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label asp-for="AddressID" class="control-label">City</label>
                <select asp-for="Address.City" class="form-control" disabled>
                    @if (Model.Address == null)
                    {
                        <option selected>City</option>
                    }
                    else
                    {
                        <option selected>@Model.Address.City</option>
                    }

                </select>
                <span asp-validation-for="AddressID" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="AddressID" class="control-label">District</label>
                <select asp-for="Address.District" class="form-control" disabled>
                    @if (Model.Address == null)
                    {
                        <option selected>District</option>
                    }
                    else
                    {
                        <option selected>@Model.Address.District</option>
                    }
                </select>
                <span asp-validation-for="AddressID" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="AddressID" class="control-label">Ward</label>
                <select asp-for="Address.Ward" class="form-control" disabled>
                    @if (Model.Address == null)
                    {
                        <option selected>Ward</option>
                    }
                    else
                    {
                        <option selected>@Model.Address.Ward</option>
                    }
                </select>
                <span asp-validation-for="AddressID" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="SpecificAddress" class="control-label">Specific Address</label>
                <input asp-for="SpecificAddress" class="form-control" disabled />
                <span asp-validation-for="SpecificAddress" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label asp-for="DrivingLicense" class="control-label">Driving License</label>
                <img src="@Url.Content(Model.DrivingLicense)" class="d-block w-100 rounded" />
                <span asp-validation-for="DrivingLicense" class="text-danger"></span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                @if (Model.IsActive)
                {
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#EditModal">
                        Disable Account
                    </button>
                }
                else
                {
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#EditModal">
                        Enable Account
                    </button>
                }
                <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#DeleteModal">
                    Delete
                </button>
                <a asp-action="Index" class="btn btn-success">Back to List</a>
            </div>
        </div>
    </div>
    <div class="modal fade" id="DeleteModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Delete Account</h1>
                </div>
                <div class="modal-body">
                    Are you sure to delete this ?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary w-25" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-danger w-25" asp-action="Delete">Delete</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="EditModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Modify Status</h1>
                </div>
                @if (Model.IsActive)
                {
                    <div class="modal-body">
                        Are you sure to Disable this Account status ?
                    </div>
                }
                else
                {
                    <div class="modal-body">
                        Are you sure to Enable this Account status ?
                    </div>
                }
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary w-25" data-dismiss="modal">Close</button>
                    <input type="submit" value="Yes" asp-action="EditStatus" class="btn btn-primary w-25" />
                </div>
            </div>
        </div>
    </div>
</form>
@section Scripts {
    @{

        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
    }
